> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post funnelsbuildersave page data



## OpenAPI

````yaml /api-reference/funnels/openapi.json post /funnels/builder/save-page-data/{id}
openapi: 3.0.0
info:
  title: Funnels API
  description: Documentation for funnels API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Funnels
    description: Documentation for funnels API
  - name: Builder
    description: Documentation for funnels API
  - name: Products
    description: Documentation for funnels API
  - name: Prices
    description: Documentation for funnels API
  - name: Integrations
    description: Documentation for funnels API
paths:
  /funnels/builder/save-page-data/{id}:
    post:
      tags:
        - Builder
      operationId: savePageData
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/savePageDataParams'
      responses:
        '201':
          description: ''
components:
  schemas:
    savePageDataParams:
      type: object
      properties:
        funnelId:
          type: string
          example: QMDQGTt8ZZSnOwORl2Bq
        pageData:
          type: object
        pageVersion:
          type: number
        pageType:
          type: string
        manualSave:
          type: boolean
        integrations:
          type: object
        meta:
          type: object
        schemaMarkupId:
          type: string
      required:
        - funnelId
        - pageData
        - pageVersion

````